/* Set this to whereever you're storing the images - note that you must include
   a trailing slash */

var imageRoot = "images/";

var blankImage = imageRoot + "pix.gif";

var releaseDate = new Date(2004, 8, 21, 12);
var releaseTime = releaseDate.getTime() - releaseDate.getTimezoneOffset() * 60000;

var dayDigit10, dayDigit1;
var hourDigit10, hourDigit1;
var minDigit10, minDigit1;
var secDigit10, secDigit1;

var usePNGHack = false;
var pngHacked = false;

function updateDate() {
    var today = new Date();
    var countdown = releaseTime - today.getTime();
    if (countdown > 0) {
	var days = Math.floor(countdown / 86400000);
	countdown -= days * 86400000;
	var hours = Math.floor(countdown / 3600000);
	countdown -= hours * 3600000;
	var minutes = Math.floor(countdown / 60000);
	countdown -= minutes * 60000;
	var seconds = Math.floor(countdown / 1000);
	if (days >= 10) {
	    setImageSource(dayDigit10, imageRoot + Math.floor(days / 10) + "d.png");
	} else {
	    if (usePNGHack) {
		dayDigit10.style.filter = "";
	    }
	    dayDigit10.src = imageRoot + "pix.gif";
	}
	setImageSource(dayDigit1, imageRoot + Math.floor(days % 10) + "d.png");
	setImageSource(hourDigit10, imageRoot + Math.floor(hours / 10) + "c.png");
	setImageSource(hourDigit1, imageRoot + Math.floor(hours % 10) + "c.png");
	setImageSource(minDigit10, imageRoot + Math.floor(minutes / 10) + "c.png");
	setImageSource(minDigit1, imageRoot + Math.floor(minutes % 10) + "c.png");
	setImageSource(secDigit10, imageRoot + Math.floor(seconds / 10) + "c.png");
	setImageSource(secDigit1, imageRoot + Math.floor(seconds % 10) + "c.png");
    } else {
	// do something
    }
}

function setImageSource(image, source) {
    if (usePNGHack) {
	image.src = blankImage;
	image.style.filter = "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='" + source + "',sizingMethod='scale')";
    } else {
	image.src = source;
    }
}

function initCoPCountdownTimer() {
    // create what we need
    var container = document.getElementById("CoPCountdownTimer");
    // remove any current content
    for (var i = container.childNodes.length; i > 0; i--) {
	container.removeChild(container.childNodes.item(i-1));
    }
    var image = document.createElement("img");
    try {
	if (image.filters) {
	    usePNGHack = true;
	}
    } catch (ex) {
	// this will cause an exception only under IE, so... whatever
	usePNGHack = true;
    }
    image.style.marginRight = "12px";
    image.style.width = "161px";
    image.style.height = "77px";
    setImageSource(image, imageRoot + "copcd_header.png");
    container.appendChild(image);
    container.appendChild(document.createElement("br"));
    dayDigit10 = document.createElement("img");
    setImageSource(dayDigit10, imageRoot + "0d.png");
    dayDigit10.style.marginLeft = "40px";
    dayDigit10.style.marginBottom = "5px";
    dayDigit10.style.width = "12px";
    dayDigit10.style.height = "16px";
    container.appendChild(dayDigit10);
    dayDigit1 = document.createElement("img");
    setImageSource(dayDigit1, imageRoot + "0d.png");
    dayDigit1.style.marginLeft = "1px";
    dayDigit1.style.marginBottom = "5px";
    dayDigit1.style.width = "12px";
    dayDigit1.style.height = "16px";
    container.appendChild(dayDigit1);
    image = document.createElement("img");
    setImageSource(image, imageRoot + "days.png");
    image.style.marginLeft = "8px";
    image.style.width = "51px";
    image.style.height = "23px";
    container.appendChild(image);
    container.appendChild(document.createElement("br"));
    hourDigit10 = document.createElement("img");
    setImageSource(hourDigit10, imageRoot + "0c.png");
    hourDigit10.style.marginLeft = "38px";
    hourDigit10.style.marginTop = "5px";
    hourDigit10.style.width = "9px";
    hourDigit10.style.height = "13px";
    container.appendChild(hourDigit10);
    hourDigit1 = document.createElement("img");
    setImageSource(hourDigit1, imageRoot + "0c.png");
    hourDigit1.style.marginLeft = "2px";
    hourDigit1.style.width = "9px";
    hourDigit1.style.height = "13px";
    container.appendChild(hourDigit1);
    image = document.createElement("img");
    setImageSource(image, imageRoot + "colonc.png");
    image.style.width = "9px";
    image.style.height = "13px";
    container.appendChild(image);
    minDigit10 = document.createElement("img");
    setImageSource(minDigit10, imageRoot + "0c.png");
    minDigit10.style.marginLeft = "2px";
    minDigit10.style.width = "9px";
    minDigit10.style.height = "13px";
    container.appendChild(minDigit10);
    minDigit1 = document.createElement("img");
    setImageSource(minDigit1, imageRoot + "0c.png");
    minDigit1.style.marginLeft = "2px";
    minDigit1.style.width = "9px";
    minDigit1.style.height = "13px";
    container.appendChild(minDigit1);
    image = document.createElement("img");
    setImageSource(image, imageRoot + "colonc.png");
    image.style.marginLeft = "2px";
    image.style.width = "9px";
    image.style.height = "13px";
    container.appendChild(image);
    secDigit10 = document.createElement("img");
    setImageSource(secDigit10, imageRoot + "0c.png");
    secDigit10.style.marginLeft = "2px";
    secDigit10.style.width = "9px";
    secDigit10.style.height = "13px";
    container.appendChild(secDigit10);
    secDigit1 = document.createElement("img");
    setImageSource(secDigit1, imageRoot + "0c.png");
    secDigit1.style.marginLeft = "2px";
    secDigit1.style.width = "9px";
    secDigit1.style.height = "13px";
    container.appendChild(secDigit1);
    updateDate();
    setInterval("updateDate()", 1000);
}